package com.kingdee.eas.custom.synctask.handler;

import com.kingdee.eas.hr.emp.web.handler.EmployeeEditHandler;
import okhttp3.*;

import java.io.IOException;

/**
 * @author qingwu
 * @date 2024/10/29
 * @apiNote
 */
public class EmployeeEditHandlerEx extends EmployeeEditHandler {
    public static void main(String[] args) throws IOException {
        OkHttpClient client = new OkHttpClient();

        MediaType mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001");
        RequestBody body = RequestBody.create(mediaType, "-----011000010111000001101001--\r\n\r\n");
        Request request = new Request.Builder()
                .url("http://oa.shichuangyi.cn:8080/sso/oauth2.0/authorize?client_id=4385e7ea-16cc-4328-a9dc-a3046c5b1614&redirect_uri=http://10.0.3.24:8080/shr/home.do&response_type=code")
                .get()
                .addHeader("content-type", "multipart/form-data; boundary=---011000010111000001101001")
                .build();

        Response response = client.newCall(request).execute();
        System.out.println(response.body().string());
    }
}
